unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, shellchange;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    s:TShellChangeMonitor;
    procedure FileCreated(sender:TObject; filename:string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TForm1 }

procedure TForm1.FileCreated(sender: TObject; filename: string);
begin
  if fileexists(filename) then
    showmessage('The file '+filename+' was created')
  else
    showmessage('The file '+filename+' was deleted');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  s:=TShellChangeMonitor.Create;
  s.Directory:='c:\windows';
  s.SubTree:=true;
  s.OnFileCreated:=FileCreated;
  s.start;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  s.stop;
  s.Free;
end;

end.
 